String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//++++
function fPartida(){
	var Par=gv("TxtPar");
	//if(jL(Par)==0){
		var Alm=gv("CboAlm");
		var stru="aj.php?Cmd=R05&P1="+Alm;
		try{	
		ajax=CreateAJAX();
		ajax.open("GET",stru);
		ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {
			   var Rpt = (ajax.responseText);
			   document.getElementById("TxtPar").value=Rpt;
		   }
		}
		ajax.send(null);
		}
		catch(err){
		}
	//}
}
//**************************************************************************
function fLimDet(){
	document.getElementById("TxtCod").value="";
	document.getElementById("TxtDes").value="";
	document.getElementById("TxtMarcas").value="";
	document.getElementById("TxtCant").value="";
	document.getElementById("TxtCUni").value="";
	document.getElementById("TxtCod").focus();
}
//**************************************************************************
function fGenPDF(){
	document.getElementById("TxtAc").value="GEN_PDF_1";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
function DetAuto(){
	if(jLen(gv("DR_NOM"))>0){
		alert("La lista de productos ha sido "+
			 "cargada automaticamente por lo "+
			 "tanto no se puede agregar, "+
			 "modificar o quitar algun producto");
		return true;
	}else{
		return false;
	}
}
function fValEE(){
	var c=gv("CmdLoad");
	var d=gv("CboComR");
	if(c=="Deshacer referencia"){
		if(d=="PROFORMA" || d=="GUIA INTERNA" || d=="TRANSFERENCIA"){
			alert("No se puede editar/eliminar cuando "+
			      "el doc. de referencia es '"+d+"'");
			return false;
		}else{
			return true;
		}
	}else{
		return true;
	}
}
function fEditar(lpIndex){
	if(fValEE()){
		var hw=document.getElementById("TxtHW").value;
		Ow("guias_editar.php?I="+lpIndex+"&H="+hw,550*ZO(),280*ZO());	
	}
}

function fLoad(){
	document.getElementById("TxtAc").value="UP";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function VUELTO(){
	var StrTC=document.getElementById("TxtTC").value;
	var StrMon=document.getElementById("CboMon").value;
	var StrTot=document.getElementById("T_TOH").value;
	var StrPag=document.getElementById("TxtPagarCon").value;
	if(StrPag.trim().length==0){
		StrPag="0";
	}
	StrTC=parseFloat(StrTC);
	StrTot=parseFloat(StrTot);
	StrPag=parseFloat(StrPag);
	if(StrMon=="DOLARES"){
		StrPag=StrPag * StrTC;
		StrPag=StrPag.toFixed(2);
	}
	var Vuelto=parseFloat("0");
	if(StrTot>StrPag){
		document.getElementById("TxtVuelto").value="0.0";
		return;
	}else{
		Vuelto=StrPag - StrTot;
	}
	Vuelto=Vuelto.toFixed(2);
	document.getElementById("TxtVuelto").value=Vuelto;
}
function CerrarDIV(){
	DivDatos = document.getElementById("TAB_AJAX");
	DivCaption = document.getElementById("TAB_CAPTION");
	DivCaption.style.visibility="hidden";
	DivDatos.style.visibility="hidden";	
	document.getElementById("TxtDes").focus();
}
//**************************************************************************
function TDP(){
	var StrTdp=document.getElementById("CboTdp").value;
	document.getElementById("CboMon").value="SOLES"
	if(StrTdp=="CONTADO"){
document.getElementById("TxtPagarCon").readOnly=false;
document.getElementById("TxtPagarCon").value=document.getElementById("T_TO").value;		
document.getElementById("TxtVuelto").value="0.0";
document.getElementById("CboMon").disabled=false;
	}else{
		document.getElementById("TxtPagarCon").readOnly=true;
		document.getElementById("TxtPagarCon").value="0.0";
		document.getElementById("CboMon").disabled=true;
	}
	
}
function AutoNumeracion(estado){
	if(estado==2 && jLen(gv("TxtSer"))>0){
		
	}else{
		document.getElementById("TxtSer").value="";
		document.getElementById("TxtNum").value="";
	}
	var Plom=document.getElementById("TxtTC").style.backgroundColor;
	var Blan=document.getElementById("TxtCod").style.backgroundColor;
	if(estado>0){
		document.getElementById("TxtSer").readOnly=true;
		document.getElementById("TxtNum").readOnly=true;
		document.getElementById("TxtSer").style.backgroundColor=Plom;
		document.getElementById("TxtNum").style.backgroundColor=Plom;
		if(estado==1){
		document.getElementById("TxtFec").focus();
		}
	}else{
		document.getElementById("TxtSer").readOnly=false;
		document.getElementById("TxtNum").readOnly=false;
		document.getElementById("TxtSer").style.backgroundColor=Blan;
		document.getElementById("TxtNum").style.backgroundColor=Blan;
		document.getElementById("TxtSer").focus();
	}
}
//
function LoadRef(){
	var dr=gv("CboComR");
	var emp=gv("CboEmpR");
	var ser=gv("TxtSerR");
	var num=gv("TxtNumR");
	if(jL(dr)==0){
		alert("Seleccione el tipo de documento de referencia");
		document.getElementById("CboComR").focus();
		return;
	}
	if(jL(emp)==0){
		alert("Seleccione una empresa");
		return jF("CboEmpR");
	}
	if(jL(ser)==0){
		alert("Ingrese la serie");
		return jF("TxtSerR");
	}
	if(jL(num)==0){
		alert("Ingrese el numero");
		return jF("TxtNumR");
	}
	if(gv("CmdLoad")=="Cargar referencia"){
		SM("LOAD_REF");
	}else{
		SM("LOAD_REF_X");
	}
}
//
function fChDesc(){
	var p=gv("DR_DES");
	if(jVal(p)>0){
		document.getElementById("Ch_DES").checked=false;
		var DR=gv("CboComR");
		if(DR=="PROFORMA"){
			alert("La opcion descontar stock no se puede "+
			      "aplicar cuando se hace referencia a "+
				  "una PROFORMA, para descontar stock "+
				  "de una proforma debe emitir una guia interna");
			return;
		}
		if(DR=="GUIA INTERNA"){
			alert("La opcion descontar stock no se puede "+
			      "aplicar cuando se hace referencia a una GUIA INTERNA");
			return;
		}
		if(DR=="TRANSFERENCIA"){
			alert("No se aplica cuando el doc. de referencia es una 'TRANSFERENCIA'");
			return;	
		}
		if(DR=="CONTENEDOR"){
			alert("No se aplica cuando el doc. de referencia es una 'CONTENEDOR'");
			return;	
		}
		alert("El documento de referencia ya ha descontado el stock");
		return;
	}

}
//**************************************************************************
function CboRef(){
	if(jLen(gv("DR_NOM"))>0){
		return;
	}
	var dr=gv("CboComR");	
	var Plom=document.getElementById("TxtTC").style.backgroundColor;
	var Blan=document.getElementById("TxtCod").style.backgroundColor;
	if(jL(dr)==0){
		document.getElementById("TxtSerR").style.backgroundColor=Plom;
		document.getElementById("TxtSerR").readOnly=true;		
		document.getElementById("TxtNumR").style.backgroundColor=Plom;
		document.getElementById("TxtNumR").readOnly=true;		
		return;
	}
	document.getElementById("TxtNumR").style.backgroundColor=Blan;
	document.getElementById("TxtNumR").readOnly=false;
	document.getElementById("TxtSerR").style.backgroundColor=Blan;
	document.getElementById("TxtSerR").readOnly=false;
}
function fCls(){
	
	document.getElementById("TxtIdCliente").value="0";
	document.getElementById("TxtCliente").value="";
	document.getElementById("TxtRuc").value="";
}
//**************************************************************************
function fKiller(lpIndex){
	if(fValEE()){
		document.getElementById("Pro_TxtId").value=lpIndex;
		document.getElementById("TxtAc").value="KILLER";
		document.getElementById("Frm").submit();
	}
}
//**************************************************************************
function fGetTabla(){
var Cod=document.getElementById("TxtCod").value;
var Des=document.getElementById("TxtDes").value;
var Mar=document.getElementById("TxtMarcas").value;
if(Des.trim().length>0 || Mar.trim().length>0 || Cod.trim().length>0){
	DivDatos = document.getElementById("TAB_AJAX");
	DivCaption = document.getElementById("TAB_CAPTION");
	ajax=CreateAJAX();
var StrU="ajax_funciones.php?Cmd=COMPRAS_PROD_FILTRAR&TxtPar="+Des+"&TxtPar2="+Mar+"&TxtPar3="+Cod;
	ajax.open("GET", StrU);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {
					var StrDatos=ajax.responseText;
					if(StrDatos.trim().length>0){			  
					   DivDatos.innerHTML = StrDatos;
					   DivCaption.style.visibility="visible";
					   DivDatos.style.visibility="visible";	
					}else{
						DivCaption.style.visibility="hidden";
						DivDatos.style.visibility="hidden";	
					}
		   }
	}
	ajax.send(null);
}
}
//**************************************************************************
function fGetProdDatos_Id(lpStrId){
	if(lpStrId.trim().length>0){
	DivDatos = document.getElementById("DivDatosProd");
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=COMPRAS_GET_PROD_DATOS_X_ID&TxtPar="+lpStrId);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {			  
				   DivDatos.innerHTML = ajax.responseText
				   var Des=document.getElementById("Pro_TxtDes").value;
				   if(Des.trim().length==0){
   				   document.getElementById("Pro_TxtId").value="";
				   document.getElementById("Pro_TxtDes").value="";
				   document.getElementById("Pro_TxtCod").value="";
				   document.getElementById("Pro_TxtMarca").value="";
				   document.getElementById("Pro_TxtPre").value="";
   				   document.getElementById("TxtDes").value="";
				   document.getElementById("TxtMarcas").value="";
  				   document.getElementById("TxtPre").value="";				   
				   document.getElementById("TxtCant").value="";
				   document.getElementById("TxtImp").value="";
				   document.getElementById("TxtCod").value="";				   
				   alert("Codigo no registrado");
				   document.getElementById("TxtCod").focus();
				   }else{
document.getElementById("TxtCod").value=document.getElementById("Pro_TxtCod").value;
document.getElementById("TxtMarcas").value=document.getElementById("Pro_TxtMarca").value;
document.getElementById("TxtDes").value=document.getElementById("Pro_TxtDes").value;
document.getElementById("TxtPre").value=document.getElementById("Pro_TxtPre").value;
document.getElementById("TxtCant").value="1";
document.getElementById("TxtImp").value=document.getElementById("TxtPre").value;
document.getElementById("TxtPre").focus();				   
				   }
				   DivDatos = document.getElementById("TAB_AJAX");
				   DivCaption = document.getElementById("TAB_CAPTION");
				   DivCaption.style.visibility="hidden";
				   DivDatos.style.visibility="hidden";		
				   		   
		   }
	}
    ajax.send(null);
	}
}
function z(lpStrId){
	if(lpStrId.trim().length>0){
	DivDatos = document.getElementById("DivDatosProd");
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=COMPRAS_GET_PROD_DATOS_X_ID&TxtPar="+lpStrId);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {			  
				   DivDatos.innerHTML = ajax.responseText
				   var Des=document.getElementById("Pro_TxtDes").value;
				   if(Des.trim().length==0){
   				   document.getElementById("Pro_TxtId").value="";
				   document.getElementById("Pro_TxtDes").value="";
				   document.getElementById("Pro_TxtCod").value="";
				   document.getElementById("Pro_TxtMarca").value="";
   				   document.getElementById("TxtDes").value="";
				   document.getElementById("TxtMarcas").value="";
				   document.getElementById("TxtCant").value="";
				   document.getElementById("TxtCod").value="";				   
				   alert("Codigo no registrado");
				   document.getElementById("TxtCod").focus();
				   }else{
document.getElementById("TxtCod").value=document.getElementById("Pro_TxtCod").value;
document.getElementById("TxtMarcas").value=document.getElementById("Pro_TxtMarca").value;
document.getElementById("TxtDes").value=document.getElementById("Pro_TxtDes").value;
document.getElementById("TxtCant").value="1";
document.getElementById("TxtCant").focus();				   
				   }
				   DivDatos = document.getElementById("TAB_AJAX");
				   DivCaption = document.getElementById("TAB_CAPTION");
				   DivCaption.style.visibility="hidden";
				   DivDatos.style.visibility="hidden";		
				   		   
		   }
	}
    ajax.send(null);
	}
}
//**************************************************************************
function fGetProdDatos(lpStrCod){
	if(lpStrCod.trim().length>0){
	DivDatos = document.getElementById("DivDatosProd");
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=VEN_GET_PROD_DATOS&TxtPar="+lpStrCod);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {			  
				   DivDatos.innerHTML = ajax.responseText
				   var Des=document.getElementById("Pro_TxtDes").value;
				   if(Des.trim().length==0){
   				   document.getElementById("Pro_TxtId").value="";
				   document.getElementById("Pro_TxtDes").value="";
				   document.getElementById("Pro_TxtMarca").value="";
   				   document.getElementById("TxtDes").value="";
				   document.getElementById("TxtMarcas").value="";
				   document.getElementById("TxtCant").value="";
				   document.getElementById("TxtCod").value="";				   
				   alert("Codigo no registrado");
				   document.getElementById("TxtCod").focus();
				   }else{
document.getElementById("TxtMarcas").value=document.getElementById("Pro_TxtMarca").value;
document.getElementById("TxtDes").value=document.getElementById("Pro_TxtDes").value;
document.getElementById("TxtCant").value="1";
document.getElementById("TxtCant").focus();
				   }
				   
		   }
	}
    ajax.send(null);
	}
}
//**************************************************************************
function fGetRuc(lpStrPro,Obj){
	var StrProveedor=lpStrPro;
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=GET_RUC&TxtPar="+StrProveedor);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {			   	   
				   document.getElementById(Obj).value=ajax.responseText;
				   Obj=Obj+"_";
				   document.getElementById(Obj).value=ajax.responseText;
		   }
	}
    ajax.send(null);
}
//**************************************************************************
function fGetProveedor(lpStrRuc,Obj){
	var StrRucH=document.getElementById("TxtRuc_").value;
	var StrRuc=lpStrRuc;
	if(StrRuc!=StrRucH){
		ajax=CreateAJAX();
		ajax.open("GET", "ajax_funciones.php?Cmd=GET_PROVEEDOR&TxtPar="+StrRuc);	
		ajax.onreadystatechange=function() {
			   if (ajax.readyState==4) {
					   var StrPro=ajax.responseText;
					   if(StrPro.trim().length==0){
						   	alert("Numero de ruc no registrado");
						   	document.getElementById(Obj).value="";
						   	document.getElementById(Obj).focus();
					   }else{
							document.getElementById(Obj).value=StrPro;
					   }
			   }
		}
		ajax.send(null);
	}

}
//**************************************************************************
function fCancelarPHP(){
	document.getElementById("TxtAc").value="C";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fAgregar(){
	if(DetAuto()){
		return ;
	}
	//
	var G_NL=jVal(gv("TxtGIA_NL"));	
	var T_NL=jVal(gv("TxtTOT_NL"));	
	if(G_NL > 0 ){
		if(T_NL == G_NL){
			alert("El numero maximo de items para GIA es "+G_NL);
			fLimDet();
			jFocus("TxtCod");
			return;
		}
	}
	//
	var Pro_Id=document.getElementById("Pro_TxtId").value;
	var Pro_Cod=document.getElementById("Pro_TxtCod").value;
	var Pro_Des=document.getElementById("Pro_TxtDes").value;
	
	var Cod=document.getElementById("TxtCod").value;
	var Des=document.getElementById("TxtDes").value;
	var Can=document.getElementById("TxtCant").value;
	var CUni=document.getElementById("TxtCUni").value;
	
	Pro_Id=Pro_Id.trim().toUpperCase();
	Pro_Cod=Pro_Cod.trim().toUpperCase();
	Pro_Des=Pro_Des.trim().toUpperCase();
	
	Cod=Cod.trim().toUpperCase();
	Des=Des.trim().toUpperCase();
	
	if(Cod!=Pro_Cod){
		alert("El codigo del producto ha sido alterado");
		document.getElementById("TxtCod").focus();
		return;
	}
	if(Des!=Pro_Des){
		alert("La descripcion del producto ha sido alterada");
		document.getElementById("TxtDes").focus();
		return;
	}

	if(CUni.length==0){
		alert("Ingrese el nro. de piezas");
		document.getElementById("TxtCUni").focus();
		return;
	}

	document.getElementById("TxtAc").value="ADD";
	document.getElementById("Frm").submit();
}
//
function fValGua1(){
	//
	var r_e=gv("CboEmpR");
	var r_d=gv("CboComR");
	var r_s=gv("TxtSerR");
	var r_n=gv("TxtNumR");
	//
	ajax=CreateAJAX();
	var StrUrl="";
	StrUrl="aj_gui.php?C=VV&P1="+r_d+"&P2="+r_s+"&P3="+r_n;
	ajax.open("GET",StrUrl,false);	
	ajax.send(null);
	var StrHtml=ajax.responseText;
	return StrHtml.trim();
}
//+++++++++++++++++++++++++++++++++++++++++++++
function fGuardar(){
	//
	var G_NL=jVal(gv("TxtGIA_NL"));	
	var T_NL=jVal(gv("TxtTOT_NL"));
	if(G_NL > 0 ){
		if(T_NL > G_NL){
			alert("El numero maximo de items para GUIA es "+G_NL);
			jFocus("TxtCod");
			return;
		}
	}
	
	var brevete=gv("TxtLic");
	var tip_gia=gv("TipGia");
	var Emp=gv("CboEmp");
	var Alm=gv("CboAlm");
	var Fec=gv("TxtFec");
	var Num=gv("TxtNum");
	var Ser=gv("TxtSer");
	var Par=gv("TxtPar");
	var mot=gv("Mot");
	var DesRs=gv("TxtDesRs");
	var DesDir=gv("TxtDesDir");
	var ubi_pai=gv("UbiPai");
	var ubi_dep=gv("UbiDep");
	var ubi_pro=gv("UbiPro");
	var ubi_dis=gv("UbiDis");
	var tip_tra=gv("TipTra");
	var peso=gv("Peso");
	var tiptra=gv("TipTra");
	//
	if(jL(tip_gia)==0){
		return AF("Selecccione un tipo de guia","TipGia");
	}
	if(jL(Emp)==0){
		return AF("Seleccione una empresa","CboEmp");
	}
	if(jL(Alm)==0){
		return AF("Seleccione un almacen","CboAlm");
	}
	if(jL(Fec)==0){
		return AF("Ingrese una fecha","TxtFec");
	}		
	if(EsFecha(Fec)==false){
		return AF("Fecha no valida, la fecha debe ser ingresada segun el formato","TxtFec");
	}	
	
	if(document.getElementById("ChN_AUTO").checked==false){
		if(Ser.trim().length==0){alert("Ingrese la serie del comprobante.");
			document.getElementById("TxtSer").focus();return;}
		if(Num.trim().length==0){alert("Ingrese el numero de comprobante");
			document.getElementById("TxtNum").focus();
			return;}
	}	
	if(jL(Par)==0){
		return AF("Ingrese el punto de partida","TxtPar");
	}	
	if(jL(mot)==0){
		return AF("Seleccione un motivo","Mot");
	}
	if(mot=="OTROS"){
		if(jL(gv("Obs"))==0){
			return AF("Ingrese una observacion","Obs");
		}
	}
	if(mot=="TRASLADO ENTRE ESTABLECIMIENTOS DE LA MISMA EMPRESA"){
		if(jL(gv("TxtDesRuc"))==0){
			return AF("Se requiere ingresar el numero de ruc, el cual debe ser el mismo ruc que el emisor","TxtDesRuc");
		}
		if(jL(gv("TxtDesRuc"))!=11){
			return AF("El numero de ruc del destinatario debe tener 11 digitos","TxtDesRuc");
		}
		
	}
	if(jL(DesRs)==0){
		return AF("Ingrese la razon social del destinatario","TxtDesRs");
	}		
	if(jL(DesDir)==0){
		return AF("Ingrese la direccion del destinatario","TxtDesDir");
	}
	if(ubi_pai=="PERU"){
		if(jL(ubi_dep)==0){
			return AF("Seleccione un departamento, use el boton seleccionar","UbiDep");
		}
		if(jL(ubi_pro)==0){
			return AF("Seleccione una provincia, use el boton seleccionar","UbiPro");
		}
		if(jL(ubi_dis)==0){
			return AF("Seleccione un distrito, use el boton seleccionar","UbiDis");
		}
	}else{
		if(jL(ubi_dep)>0){
			return AF("El campo departamento debe estar vacio","UbiDep");
		}
		if(jL(ubi_pro)>0){
			return AF("El campo provincia debe estar vacio","UbiPro");
		}
		if(jL(ubi_dis)>0){
			return AF("El campo distrito debe estar vacio","UbiDis");
		}
	}
	//
	if(jL(tip_tra)==0){
		return AF("Seleccione el tipo de transportista","TipTra");
	}
	if(tip_tra=="PUBLICO"){
		if(jL(gv("TxtETRs"))==0){
			return AF("Ingrese el nombre de la empresa de transporte","TxtETRs");
		}
		if(jL(gv("TxtETRuc"))==0){
			return AF("Ingrese el numero de ruc de la empresa de transporte","TxtETRuc");
		}
		if(jL(gv("TxtETRuc"))!=11){
			return AF("El numero de ruc de la empresa de transporte debe tener 11 digitos","TxtETRuc");
		}
	}
	//
	if(jL(brevete)>0){
		if(jL(brevete)<8){
			return AF("El numero de licencia debe tener de 9 a 10 digitos","TxtLic");
		}
	}
	//
	if(document.getElementById("Ch_DES").checked==true){
		var EmpZ=gv("CboEmpZ");
		var AlmZ=gv("CboZto");
		if(jL(EmpZ)==0){
			alert("Seleccione una empresa");return jF("CboEmpZ");
		}
		if(jL(AlmZ)==0){
			alert("Seleccione un alamcen");return jF("CboEmpZ");
		}
	}
	if(jL(peso)==0){
		return AF("Ingrese el peso bruto","Peso");
	}
	//
	if(document.getElementById("Ch_DES").checked==true){
		if(gv("CboComR")=="GUIA INTERNA"){
			return AF("El check descontar stock no es valido para guias internas como referencia","Ch_DES");
		}
	}
	//
	var lq_mot=gv("Mot");
	var lq_com_ref=gv("CboComR");
	if(lq_mot=="VENTA"){
		if(lq_com_ref=="BOL. ELEC." || lq_com_ref=="FACT. ELEC."){
		}else{
			alert("Motivio venta no valido para :"+lq_com_ref);
			return;
		}
	}
	if(lq_mot=="CONSIGNACION"){
		if(lq_com_ref=="GUIA INTERNA"){
		}else{
			alert("Motivio consignacion solo valido para guias internas ");
			return;
		}
	}
	if(lq_mot=="OTROS"){
		if(lq_com_ref=="GUIA INTERNA" || lq_com_ref=="BOL. ELEC." || lq_com_ref=="FACT. ELEC." ){
			alert("Motivio otros no valido para boletas, facturas o guias internas");
			return;
		}else{
			
		}
	}
	//
	if(document.getElementById("CmdG").value=="Guardar"){		
		var Rpta = confirm("Esta seguro que desea Guardar?")		
		if (Rpta==false){
			return;
		}
		if(fOkGM()==false){
			return;
		}
		if(mot=="TRASLADO ENTRE ESTABLECIMIENTOS DE LA MISMA EMPRESA"){
			var r=AX("GIA_GUARDAR",gv("CboEmp"),gv("TxtDesRuc"));
			var d=r.split("|");
			if(d[1]=="OK"){
				//TODO_BIEN
			}else{
				if(d[1]=="MS"){
					alert(d[2]);
				}else{
					alert("Error de conexion");
					return;
				}
			}
		}
		document.getElementById("TxtAc").value="G";
		document.getElementById("Frm").submit();
	}else{
		var kod=gv("TxtId");
		if(jVal(kod)==0){
			alert("No se puede determinar el id del registro activo");
			return;
		}
		var Rpta = confirm("Esta seguro que desea modificar?")		
		if (Rpta==false){
			return;
		}
		if(fOkGM()==false){
			return;
		}
		if(mot=="TRASLADO ENTRE ESTABLECIMIENTOS DE LA MISMA EMPRESA"){
			var r=AX("GIA_MODIFICAR_EX",kod,gv("CboEmp"),gv("TxtDesRuc"));
			var d=r.split("|");
			if(d[1]=="OK"){
				document.getElementById("TxtAc").value="M";
				document.getElementById("Frm").submit();
			}else{
				if(d[1]=="MS"){
					alert(d[2]);
				}else{
					alert("Error de conexion");
				}
			}
		}else{
			var r=AX("GIA_MODIFICAR",kod);
			var d=r.split("|");
			if(d[1]=="OK"){
				document.getElementById("TxtAc").value="M";
				document.getElementById("Frm").submit();
			}else{
				if(d[1]=="MS"){
					alert(d[2]);
				}else{
					alert("Error de conexion");
				}
			}
		}
		
	}
	
}
//
function fOkGM(){
	//
	var CMR=gv("CmdLoad");
	var DOR=gv("CboComR");
	var SER=gv("TxtSerR");
	var NUR=gv("TxtNumR");
	//
	if(CMR!="Cargar referencia"){
		if(DOR=="FACTURA" || DOR=="BOLETA"){
			var RPT=fValGua1();
			if(RPT=="NR"){
				alert("Documento de referencia NO REGISTRADO");
				jFocus("CboComR");return false;
			}
			if(RPT=="AN"){
				alert("Documento de referencia ha sido ANULADO");
				jFocus("CboComR");return false;
			}
			if(RPT=="CO"){
				/*
				alert("Documento de referencia depende de "+
					  "una proforma/cotizacion por lo tanto "+
					  "NO SE PUEDE PROCEDER");
				jFocus("CboComR");return false;
				*/
			}
			if(RPT=="D_NO"){
				if(document.getElementById("Ch_DES").checked==false){
					alert("Active check 'DESCONTAR STOCK', y "+
						  "determine un almacen, el documento de "+
						  "referencia no ha descontado stock");
					jFocus("Ch_DES");return false;
				}
			}			
		}
	}else{
		return true;
	}
}
//
function pulsar(e) { 	
	var tecla = (document.all) ? e.keyCode :e.which; 
	var Obj=event.srcElement.name;	
	if(Obj=="TxtNom"){
		if(tecla==13){			
			document.getElementById('CmdG').click();			
		}
	}	
	return (tecla!=13); 
} 
function fSelSuc(){
	var Cli=gv("TxtDesRs");
	Ow("clientes_suc_sel.php?C="+Cli, 720*ZO(),600*ZO());	
}

//**************************************************************************
function EM_OC(){
	var Emp=gv("CboEmp");	
	var r=AX("02",Emp);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
}
function EM_OC_Z(){
	var Emp=gv("CboEmpZ");	
	var r=AX("02",Emp);
	if(r=="X"){
		CBO_CLS("CboZto",1);
	}else{
		CBO_FILL("CboZto",r,0);
	}
}
function EM_OCD(){
	var Emp=gv("CboEmpZ");	
	var r=AX("00",Emp);
	if(r=="X"){
		CBO_CLS("CboZto",1);
	}else{
		CBO_FILL("CboZto",r,0);
	}
}
function SetLima(){
	sv("UbiPai","PERU");
	sv("UbiDep","LIMA");
	sv("UbiPro","LIMA");
	sv("UbiDis","LIMA");
}
function ClsUbi(){
	sv("UbiDep","");
	sv("UbiPro","");
	sv("UbiDis","");
}
function SelUbi(){
	var pai=gv("UbiPai");
	if(pai!="PERU"){
		alert("Solo valido para el pais PERU");
		return;
	}
	Ow('sis_departamento_p.php?W=CLI',810*ZO(),510*ZO());
}

function fRecep(Dep,Pro,Dis){
	sv("UbiDep",Dep);
	sv("UbiPro",Pro);
	sv("UbiDis",Dis);
	jF("UbiPai");
}

function GenFacEle(){
	var ce_tip_gia=gv("CE_TIP_GIA");
	if(ce_tip_gia=="GUIA DE REMISION"){
		alert("Funcion no se aplica a GUIA DE REMISION");
		return;
	}
	var ve_id=jVal(gv("TxtId"));
	var ce_gen=gv("CE_GEN");
	var ce_com_ref=gv("CE_COM_REF");
	var ce_usu_kod=gv("CE_USU_KOD");
	//
	if(ve_id==0){
		alert("No se puede determinar el id del registro activo");
		return;
	}
	if(ce_gen=="N"){
		if(!(ce_com_ref=="FACT. ELEC." || ce_com_ref=="BOL. ELEC." || ce_com_ref=="GUIA INTERNA")){
			alert("Funcion solo valida para comprobantes electronicos de referencia");
			return;
		}
		if(confirm("Esta seguro que desea generar el documento electronico?")==true){
			var ar=FE_AX("GEN_GIA_ELECTRONICA",ve_id,ce_usu_kod);
			ar=ar.split("|");
			if(ar[1]=="OK"){
				sv("CE_GEN","S");
				document.getElementById("CmdFE").disabled=true;
				//Ow("ventas_fe.php?ID="+ve_id,400 * ZO(),300 * ZO());
				alert("El comprobante ha sido generado");
			}else{
				alert(ar[2]);
			}
		}
		
	}else{
		if(ce_gen=="S"){
			alert("La guia electronica ya ha sido generada");		
		}else{
			alert("No se puede determinar el estado actual de la guia electronica");
		}
	}
}
//
function FE_AX(CMD,P01,P02,P03,P04,P05,P06,P07,P08,P09,P10){
	var s="?CMD="+CMD;
	if(P01!=undefined)s=s+"&P01="+P01;
	if(P02!=undefined)s=s+"&P02="+P02;
	if(P03!=undefined)s=s+"&P03="+P03;
	if(P04!=undefined)s=s+"&P04="+P04;
	if(P05!=undefined)s=s+"&P05="+P05;
	if(P06!=undefined)s=s+"&P06="+P06;
	if(P07!=undefined)s=s+"&P07="+P07;
	if(P08!=undefined)s=s+"&P08="+P08;
	if(P09!=undefined)s=s+"&P09="+P09;
	if(P10!=undefined)s=s+"&P10="+P10;	
	//
	var php="fe_funciones.php"+s;
	var u="http://localhost/donato/"+php;
	//prompt(u,u);
	ajax=CreateAJAX();
	ajax.open("GET",php,false);	
	ajax.send(null);
	var StrHtml=ajax.responseText;
	return StrHtml.trim();
}
function GEN_PDF_ELE(){
	var id=gv("TxtId");
	var gen=gv("CE_GEN");
	if(jVal(id)==0){
		alert("No se puede determinar el id del registro activo");
		return ;
	}
	if(gen=="N"){
		alert("El presente comprobante aun no ha sido generado");
		return ;
	}
	var r=FE_AX("GIA_VAL_PDF",id);
	r=r.split("|");
	if(r[1]=="MS"){
		alert(r[2]);
	}else{
		Ow("pdf.php?CMD=GEN_PDF_GIA&P01="+id,550*ZO(),280*ZO());
	}
}

function flEliminar(){
	var Rpta = confirm("Esta seguro que desea eliminar?")		
	if (Rpta==true){
		var kod=gv("TxtId");
		if(jVal(kod)==0){
			alert("No se puede determinar el id del registro activo");
			return;
		}
		var r=AX("GIA_ELIMINAR",kod);
		var d=r.split("|");
		if(d[1]=="OK"){
			document.getElementById("CmdE").disabled=true;
			SM("E");
		}else{
			if(d[1]=="MS"){
				alert(d[2]);
			}else{
				alert("Error de conexion");
			}
		}
	}
}

function flAnular(){
	var Rpta = confirm("Esta seguro que desea anular?")		
	if (Rpta==true){
		var kod=gv("TxtId");
		if(jVal(kod)==0){
			alert("No se puede determinar el id del registro activo");
			return;
		}
		var r=AX("GIA_ANULAR",kod);
		var d=r.split("|");
		if(d[1]=="OK"){
			document.getElementById("CmdE").disabled=true;
			SM("A");
		}else{
			if(d[1]=="MS"){
				alert(d[2]);
			}else{
				alert("Error de conexion");
			}
		}
	}
}

function fGetRuc(){
	var ruc=gv("TxtETRuc");
	if(jL(ruc)==0){
		return AF("Ingrese un numero de ruc","TxtETRuc");
	}
	if(jL(ruc)!=11){
		return AF("Ingrese un numero de ruc debe tener 11 digitos","TxtETRuc");
	}
	sv("TxtETRs","");
	var r=AX("GET_RUC",ruc);
	var d=r.split("|");
	if(d[1]=="OK"){
		sv("TxtETRs",d[3]);
	}else{
		if(d[1]=="MS"){
			alert(d[2]);
		}else{
			alert("Error de conexion");
		}
	}
}